Debian Bug report logs - #548070
RFP: libxcurses -- X/Open curses library with an X11 and SDL interface

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Peter Pentchev <roam@ringlet.net>

Date: Wed, 23 Sep 2009 15:27:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, roam@ringlet.net, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#548070; Package wnpp. (Wed, 23 Sep 2009 15:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Pentchev <roam@ringlet.net>:
New Bug report received and forwarded. Copy sent to roam@ringlet.net, debian-devel@lists.debian.org, <wnpp@debian.org>. (Wed, 23 Sep 2009 15:27:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Pentchev <roam@ringlet.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libpdcurses0 -- X/Open curses library with an X11 and SDL interface
Date: Wed, 23 Sep 2009 18:13:22 +0300
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Peter Pentchev <roam@ringlet.net>

* Package name    : libpdcurses0
  Version         : 3.4
  Upstream Author : William McBrine <wmcbrine@users.sf.net>
* URL             : http://pdcurses.sourceforge.net/
* License         : Public domain, MIT, GPL-2+
  Programming Lang: C
  Description     : X/Open curses library with an X11 and SDL interface

The main reason I want to package this library is that asciiportal
(in a separate ITP) uses its SDL bindings for its weird half-TUI,
half-GUI :)

G'luck,
Peter

-- 
Peter Pentchev	roam@ringlet.net    roam@space.bg    roam@FreeBSD.org
PGP key:	http://people.FreeBSD.org/~roam/roam.key.asc
Key fingerprint	FDBA FD79 C26F 3C51 C95E  DF9E ED18 B68D 1619 4553
When you are not looking at it, this sentence is in Spanish.
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to 'ITP: libxcurses -- X/Open curses library with an X11 and SDL interface' from 'ITP: libpdcurses0 -- X/Open curses library with an X11 and SDL interface' Request was from Peter Pentchev <roam@ringlet.net> to control@bugs.debian.org. (Fri, 21 Jan 2011 23:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#548070; Package wnpp. (Thu, 30 Jun 2011 14:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Peter Pentchev <roam@ringlet.net>. (Thu, 30 Jun 2011 14:45:03 GMT) Full text and rfc822 format available.

Message #12 received at 548070@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: Peter Pentchev <roam@ringlet.net>, 548070@bugs.debian.org
Cc: Anders Kaseorg <andersk@mit.edu>, William McBrine <wmcbrine@users.sf.net>
Subject: Re: Bug#548070: ITP: libpdcurses0 -- X/Open curses library with an X11 and SDL interface
Date: Thu, 30 Jun 2011 16:43:18 +0200
On Wed, Sep 23, 2009 at 06:13:22PM +0300, Peter Pentchev wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Peter Pentchev <roam@ringlet.net>
> 
> * Package name    : libpdcurses0
>   Version         : 3.4
>   Upstream Author : William McBrine <wmcbrine@users.sf.net>
> * URL             : http://pdcurses.sourceforge.net/
> * License         : Public domain, MIT, GPL-2+
>   Programming Lang: C
>   Description     : X/Open curses library with an X11 and SDL interface
> 
> The main reason I want to package this library is that asciiportal
> (in a separate ITP) uses its SDL bindings for its weird half-TUI,
> half-GUI :)

(cc'ing Anders Kaseorg and upstream William McBrine, hi both)

Hi, Peter

Sorry for the late reply, I should at least have said hello when I first
noticed your ITP.

During some time I have been playing with a personal package for XCurses put
at my personal Debian area. It dealt only with XCurses to play with THE (an
IBM XEDIT clone) under X system and had it at my personal git area under
alioth, 

  git://anonscm.debian.org/users/agmartin/pdcurses.git

I am not very familiar with the internals of shared libraries, so I did not
make an ITP myself, just kept it as a personal package and offered it in the
THE list in case people finds it useful.

When I later noticed your interest about the SDL stuff I had a look at that
part, but finally did nothing but a very preliminary intent of building a
shared library for it.

Browsing recently for more info, I also noticed that my original package was
used by Anders Kaseorg (cc'ed) as a basis for a package un Ubuntu, including
static SDL stuff,

  http://ppa.launchpad.net/anders-kaseorg/ubuntu/pool/main/p/pdcurses/

It contains libpdcurses-dev for the SDL stuff, and libxcurses3 and
libxcurses-dev for the X stuff as in my original package.

I have recently started playing with libtool (just for fun) and used PDcurses
as my testing target. I never played before with libtool or automake and only
a little with autoconf, but after some work, seems I have something that may
work. It creates

libxcurses3 and libxcurses-dev       for the XCurses stuff
libsdlcurses3 and libsdlcurses-dev   for the SDL stuff

including shared and static libraries for both. All the build process is done
without touching upstream files, so I can safely test things under Debian
without putting much noise in diffs. I tested the resulting XCurses stuff and
seems to work similarly to my old package (THE works, some demos segfault,
some work). I also did a minimal SDL test (just sdltest) which seemed 
successful. 

I have removed some of the original AC-like macros where I hope libtool will
do a better job, but as said before, I am not an expert about this. Apart
from that, I disabled MH_CHECK_LIB, which will not find some libs in new
Debian multiarch lib structure breaking build in current Debian sid (and
which also included some extra unneeded libs for xorg) and used plain 
AC_CHECK_LIB. This will not check for old XFree86, so is not very portable,
but is a first step.

Currently most things are intended to be started from debian/rules, until
proper Makefile is created. However, although things are done outside the
upstream tree, I think that if things finally work properly the system can
also be useful upstream (thus he is cc'ed) and easily put there.

Did not yet push my changes to above git repo nor sent a package with new
stuff to my Debian area, just wanted to comment on this first, but will do
soon if desired. Comments are welcome.

Regards,

PS: Contributors, please keep bug address cc'ed in replies, thanks.

-- 
Agustin




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#548070; Package wnpp. (Mon, 04 Jul 2011 09:42:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Pentchev <roam@ringlet.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 04 Jul 2011 09:42:27 GMT) Full text and rfc822 format available.

Message #17 received at 548070@bugs.debian.org (full text, mbox):

From: Peter Pentchev <roam@ringlet.net>
To: Agustin Martin <agmartin@debian.org>
Cc: 548070@bugs.debian.org, Anders Kaseorg <andersk@mit.edu>, William McBrine <wmcbrine@users.sf.net>
Subject: Re: Bug#548070: ITP: libpdcurses0 -- X/Open curses library with an X11 and SDL interface
Date: Mon, 4 Jul 2011 12:19:40 +0300
[Message part 1 (text/plain, inline)]
On Thu, Jun 30, 2011 at 04:43:18PM +0200, Agustin Martin wrote:
> On Wed, Sep 23, 2009 at 06:13:22PM +0300, Peter Pentchev wrote:
> > Package: wnpp
> > Severity: wishlist
> > Owner: Peter Pentchev <roam@ringlet.net>
> > 
> > * Package name    : libpdcurses0
> >   Version         : 3.4
> >   Upstream Author : William McBrine <wmcbrine@users.sf.net>
> > * URL             : http://pdcurses.sourceforge.net/
> > * License         : Public domain, MIT, GPL-2+
> >   Programming Lang: C
> >   Description     : X/Open curses library with an X11 and SDL interface
> > 
> > The main reason I want to package this library is that asciiportal
> > (in a separate ITP) uses its SDL bindings for its weird half-TUI,
> > half-GUI :)
> 
> (cc'ing Anders Kaseorg and upstream William McBrine, hi both)
> 
> Hi, Peter
> 
> Sorry for the late reply, I should at least have said hello when I first
> noticed your ITP.
> 
> During some time I have been playing with a personal package for XCurses put
> at my personal Debian area. It dealt only with XCurses to play with THE (an
> IBM XEDIT clone) under X system and had it at my personal git area under
> alioth, 
> 
>   git://anonscm.debian.org/users/agmartin/pdcurses.git
[snip more about your package and Andreas Kaseorg's one]

Hi,

Sorry for replying a bit late; I was on a short vacation last week and
I only got back to my e-mail this morning.

Well, the work I've done on PDCurses may be seen in the Debian Games Team's
Git repository -
http://anonscm.debian.org/gitweb/?p=pkg-games/libxcurses.git;a=summary
or, of course, http://anonscm.debian.org/git/pkg-games/libxcurses.git/
The truth is, just a couple of days ago I remembered that my ITPs of
this library and ASCIIpOrtal have been, well, languishing for a while;
I'll do something about them in the next couple of days :)

I'll certainly see what you've done and look for some ideas, and shame on
me for not checking if anybody had done anything like that for Ubuntu!

Thanks a lot for your message and the pointers; I'll get back to you when
I've had a bit more time to see what everybody else has been doing on
libpdcurses while I wasn't looking :)  It'll most probably be later today
or tomorrow.

Thanks again, and keep up the good work!

G'luck,
Peter

-- 
Peter Pentchev	roam@ringlet.net roam@FreeBSD.org peter@packetscale.com
PGP key:	http://people.FreeBSD.org/~roam/roam.key.asc
Key fingerprint	FDBA FD79 C26F 3C51 C95E  DF9E ED18 B68D 1619 4553
When you are not looking at it, this sentence is in Spanish.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#548070; Package wnpp. (Mon, 04 Jul 2011 15:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Peter Pentchev <roam@ringlet.net>. (Mon, 04 Jul 2011 15:36:03 GMT) Full text and rfc822 format available.

Message #22 received at 548070@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: Peter Pentchev <roam@ringlet.net>, 548070@bugs.debian.org
Cc: Anders Kaseorg <andersk@mit.edu>, William McBrine <wmcbrine@users.sf.net>
Subject: Re: Bug#548070: ITP: libpdcurses0 -- X/Open curses library with an X11 and SDL interface
Date: Mon, 4 Jul 2011 17:33:24 +0200
On Mon, Jul 04, 2011 at 12:19:40PM +0300, Peter Pentchev wrote:
> On Thu, Jun 30, 2011 at 04:43:18PM +0200, Agustin Martin wrote:
> > On Wed, Sep 23, 2009 at 06:13:22PM +0300, Peter Pentchev wrote:
> > > Package: wnpp
> > > Severity: wishlist
> > > Owner: Peter Pentchev <roam@ringlet.net>
> > > 
> > > * Package name    : libpdcurses0
> > >   Version         : 3.4
> > >   Upstream Author : William McBrine <wmcbrine@users.sf.net>
> > > * URL             : http://pdcurses.sourceforge.net/
> > > * License         : Public domain, MIT, GPL-2+
> > >   Programming Lang: C
> > >   Description     : X/Open curses library with an X11 and SDL interface
> > > 
> > > The main reason I want to package this library is that asciiportal
> > > (in a separate ITP) uses its SDL bindings for its weird half-TUI,
> > > half-GUI :)
> > 
> > (cc'ing Anders Kaseorg and upstream William McBrine, hi both)
> > 
> > Hi, Peter
> > 
> > Sorry for the late reply, I should at least have said hello when I first
> > noticed your ITP.
> > 
> > During some time I have been playing with a personal package for XCurses put
> > at my personal Debian area. It dealt only with XCurses to play with THE (an
> > IBM XEDIT clone) under X system and had it at my personal git area under
> > alioth, 
> > 
> >   git://anonscm.debian.org/users/agmartin/pdcurses.git
> [snip more about your package and Andreas Kaseorg's one]
> 
> Hi,
> 
> Sorry for replying a bit late; I was on a short vacation last week and
> I only got back to my e-mail this morning.

No problem, I'd say it was a quick reply,
 
> Well, the work I've done on PDCurses may be seen in the Debian Games Team's
> Git repository -
> http://anonscm.debian.org/gitweb/?p=pkg-games/libxcurses.git;a=summary
> or, of course, http://anonscm.debian.org/git/pkg-games/libxcurses.git/

Thanks. Looking at it.

> The truth is, just a couple of days ago I remembered that my ITPs of
> this library and ASCIIpOrtal have been, well, languishing for a while;
> I'll do something about them in the next couple of days :)
> 
> I'll certainly see what you've done and look for some ideas, and shame on
> me for not checking if anybody had done anything like that for Ubuntu!

Note that I noticed its existence last week. It was in the Ubuntu PPA
(Personal packages archive) section, so seemed unofficial.

> Thanks a lot for your message and the pointers; I'll get back to you when
> I've had a bit more time to see what everybody else has been doing on
> libpdcurses while I wasn't looking :)  It'll most probably be later today
> or tomorrow.

Thanks for the info, Peter. I had a look at your package and would like to
add some comments,

* First thing I noticed is that it misses libsdl-dev build-depend, so it
  will not build as is. Next tests have it included.

* It will not build in sid because MH_CHECK_LIB will check in hardcoded
  locations, not including new recent Debian multiarch locations. For that
  reason, configure fails on

  checking for X... libraries , headers 
  configure: error: Cannot find required X library; libXt. PDCurses cannot be
  configured

  Same happens with my 3.4-3 package (previous to all recent changes).

* I built it successfully in squeeze (once libsdl-dev dependency is added),
  just that dpkg-shlibdeps warns about unneeded libraries linked.

  dpkg-shlibdeps: warning: dependency on libSM.so.6 could be avoided if
  "debian/libxcurses0/usr/lib/libXCurses.so.0.3.4" were not uselessly linked
  against it (they use none of its symbols).
  dpkg-shlibdeps: warning: dependency on libICE.so.6 could be avoided if
  "debian/libxcurses0/usr/lib/libXCurses.so.0.3.4" were not uselessly linked
  against it (they use none of its symbols).
  dpkg-shlibdeps: warning: dependency on libXext.so.6 could be avoided if
  "debian/libxcurses0/usr/lib/libXCurses.so.0.3.4" were not uselessly linked
  against it (they use none of its symbols).

  Seems that for xorg, there is no need to explicitly link against those
  libraries (although they seem to get linked indirectly).

I also looked at the resulting squeeze packages. Comments below, along with
my current status.

I did not much work in my (still not pushed) changes, just noticed that
headers are required by both SDL and X11 ports for compiling. I have also
fixed ordering of X11 libs in my side (I previously did it wrong). 

I am commenting current structure of packages at my side (note that it is 
different from yours),

Source package: pdcurses

Binary packages:

 * Runtime shared libraries:
   - libxcurses3
   - libsdlcurses3

 * Static libraries and unversioned shared link:
   - libxcurses-dev
   - libsdlcurses-dev

 * Headers (needed by both libxcurses-dev and libsdlcurses-dev):
   - pdcurses-headers

Note that I honour upstream name for Source package. I think you should also
do that (libxcurses refers only to the X11 port).

I named the SDL part libsdlcurses (and used libSDLCurses.so names). Do not
know if this is the best naming scheme, so I think we should wait to hear
upstream voice here (Hi, William).

I use 3 for lib{sdl,x}curses3 (and lib...so.3..). This is mostly for
personal historical reasons with previous non-compatible interfaces (and 
this way, follow upstream numbering, but this is not mandatory). Since 
neither mine nor (AFAIK) Ubuntu packages were ever official, this can be
changed with no grave results.

I see that you also added a symbols file. Fine, I have to admit that I never
played with those files.

In my side I would like to do some things in MH_CHECK_LIB differently, like
checking xorg|X11R6 ... to avoid extra explicit linking, but do not how to
do that. (X -version needs the server installed when building). 

On Thu, Jun 30, 2011 at 04:43:18PM +0200, Agustin Martin wrote:
> I tested the resulting XCurses stuff and seems to work similarly to my
> old package (THE works, some demos segfault, some work). 

No more segfaults, they were due to wrong headers use. Tests work well after
ensuring that right headers are used (and X11 libs ordering is fixed).

> I also did a minimal SDL test (just sdltest) which seemed successful. 

I will do some other minor things and push changes to my git repo so you can
look at them. Will let you know.

Regards,

-- 
Agustin




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#548070; Package wnpp. (Tue, 05 Jul 2011 14:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Peter Pentchev <roam@ringlet.net>. (Tue, 05 Jul 2011 14:54:06 GMT) Full text and rfc822 format available.

Message #27 received at 548070@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: Peter Pentchev <roam@ringlet.net>, 548070@bugs.debian.org
Cc: Anders Kaseorg <andersk@mit.edu>, William McBrine <wmcbrine@users.sf.net>
Subject: Re: Bug#548070: ITP: libpdcurses0 -- X/Open curses library with an X11 and SDL interface
Date: Tue, 5 Jul 2011 16:51:43 +0200
On Mon, Jul 04, 2011 at 05:33:24PM +0200, Agustin Martin wrote:
> I am commenting current structure of packages at my side (note that it is 
> different from yours),
> 
> Source package: pdcurses
...
> Note that I honour upstream name for Source package. I think you should also
> do that (libxcurses refers only to the X11 port).
...
> I will do some other minor things and push changes to my git repo so you can
> look at them. Will let you know.

I have just pushed my changes to my personal Debian git area,

git://anonscm.debian.org/users/agmartin/pdcurses.git

in tmp/libtool branch. master branch contains my previous stuff.
 
> I named the SDL part libsdlcurses (and used libSDLCurses.so names). Do not
> know if this is the best naming scheme, so I think we should wait to hear
> upstream voice here (Hi, William).

Note that I renamed the SDL stuff to provide libpdcurses3, libpdcurses-dev
and libpdcurses.*, honouring current upstream naming scheme. I'd personally
prefer something like pdcurses-sdl or my previous naming or similar, but I
think I should not deviate from upstream naming without a good reason.

At this stage, my changes are mostly intended to be handled via debian/rules
and as you will see they are still a bit Debian specific and not very
portable to old systems.

* X11R6 extra libs (SM and ICE) are not added to explicitly linked libs.
  Not a problem for Debian, using xorg, even better not to have them.
* Purify currently does nothing when selected. There must be an easy way to
  tell libtool to use purify or valgrind if desired.
* I mixed original checks with those proposed by autoscan, so a number of
  them are probably not needed.
* I forgot to add xcurses-config man page. Will do when I have time,
  probably from the one you wrote.
* Quite many things I did not yet noticed or remember. Keep in mind that 
  I am not autotools guru.

I will try to keep looking at this, but at least you can have a look at the
current state of my changes.

Enjoy,

-- 
Agustin




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#548070; Package wnpp. (Tue, 12 Jul 2011 18:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Peter Pentchev <roam@ringlet.net>. (Tue, 12 Jul 2011 18:09:03 GMT) Full text and rfc822 format available.

Message #32 received at 548070@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: Peter Pentchev <roam@ringlet.net>, 548070@bugs.debian.org
Cc: William McBrine <wmcbrine@users.sf.net>
Subject: Re: Bug#548070: ITP: libpdcurses0 -- X/Open curses library with an X11 and SDL interface
Date: Tue, 12 Jul 2011 20:05:28 +0200
On Tue, Jul 05, 2011 at 04:51:43PM +0200, Agustin Martin wrote:
> I will try to keep looking at this, but at least you can have a look at the
> current state of my changes.

Some more changes from my personal repo,

General

* Build demos to check they build.
* Make optional SDL/X11 build (default yes, build)

Debian:
* Add symbols for both libs.
* Improve debian/rules to avoid double reconfiguration.

-- 
Agustin




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#548070; Package wnpp. (Wed, 30 Nov 2011 16:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Peter Pentchev <roam@ringlet.net>. (Wed, 30 Nov 2011 16:54:03 GMT) Full text and rfc822 format available.

Message #37 received at 548070@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: Peter Pentchev <roam@ringlet.net>
Cc: 548070@bugs.debian.org
Subject: Re: Bug#548070: ITP: libpdcurses0 -- X/Open curses library with an X11 and SDL interface
Date: Wed, 30 Nov 2011 17:51:26 +0100
2011/7/4 Peter Pentchev <roam@ringlet.net>:
>
> Sorry for replying a bit late; I was on a short vacation last week and
> I only got back to my e-mail this morning.
>
> Well, the work I've done on PDCurses may be seen in the Debian Games Team's
> Git repository -
> http://anonscm.debian.org/gitweb/?p=pkg-games/libxcurses.git;a=summary
> or, of course, http://anonscm.debian.org/git/pkg-games/libxcurses.git/
> The truth is, just a couple of days ago I remembered that my ITPs of
> this library and ASCIIpOrtal have been, well, languishing for a while;
> I'll do something about them in the next couple of days :)

Hi, Peter,

I have recently seen a message (stored at
http://lists.alioth.debian.org/pipermail/pkg-sdl-maintainers/2011-November/000960.html)
about revitalization of the Debian SDL team

https://alioth.debian.org/projects/pkg-sdl/

and thought about letting people there know about this ITP and about
this package. I plan to send them a message in some days.

Any news?

-- 
Agustin




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#548070; Package wnpp. (Wed, 18 Jul 2012 17:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Peter Pentchev <roam@ringlet.net>. (Wed, 18 Jul 2012 17:15:05 GMT) Full text and rfc822 format available.

Message #42 received at 548070@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: pkg-sdl-maintainers@lists.alioth.debian.org, 548070@bugs.debian.org
Cc: Peter Pentchev <roam@ringlet.net>, Alen Zekulic <alen@nms.hr>
Subject: Info about PDCURSES, a X11/SDL curses package
Date: Wed, 18 Jul 2012 19:12:18 +0200
Hi, SDL maintainers, Peter and Alen

Some time ago I read news about SDL team revitalization, and wanted to
let you know about this ITP,

http://bugs.debian.org/548070

This is about PDCurses, an X/Open curses library with X11 and SDL interfaces.

It does not build the SDL part by default (not included in main build
chain). For some time I was building personal packages for the X11
port, mostly to be used by another personal package with a X11 port of
"the Hessling editor",  "the" (a text editor intended to be similar to
the IBM VM/CMS System Product Editor, XEDIT and to KEDIT from
Mansfield Software). "the" is in Debian, but only the ncurses build is
used. Contacting Debian "the" maintainer about this has been in my
TODO list for years, but I always left this for later, cc'ing him now
to make sure he knows about this.

Some time after Peter filed his ITP, I started playing with the
PDCurses SDL part and with libtool, to build both XCurses and
sdlcurses libraries in a way that tries to avoid touching upstream
build chain and includes proposed fixes for some bugs. Resulting
packages seem to work well in Debian, and some packages are built (see
more details in above ITP),

Source package: pdcurses

Binary packages:

 * Runtime shared libraries:
   - libxcurses3
   - libpdcurses3

 * Static libraries and unversioned shared link:
   - libxcurses-dev
   - libpdcurses-dev

 * Headers (needed by both libxcurses-dev and libsdlcurses-dev):
   - pdcurses-headers

Note that I use libpdcurses3, libpdcurses-dev and libpdcurses.* for
the SDL stuff, honouring current upstream naming scheme. I'd
personally prefer something like pdcurses-sdl or sdlcurses, but I
tried to not differ from upstream. I already mailed him with no reply.

My current stuff is in "tmp/libtool" branch at

git://anonscm.debian.org/users/agmartin/pdcurses.git

It does not contain some more recent changes I did (like multiarch
changes), because I wanted that to be usable in squeeze.

The ITP has been idle for a while and I also left this in stand-by for
some time, so I use your old announce as an excuse to ping about it,
also because I think the SDL team may be interested in knowing about
this package (Peter planned it inside the games team).

I currently do not plan to become Debian main maintainer for this
package, but my git repo may be useful to anyone interested. I could
however help if needed.

Regards,

-- 
Agustin



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#548070; Package wnpp. (Sat, 21 Jul 2012 22:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Peter Pentchev <roam@ringlet.net>. (Sat, 21 Jul 2012 22:36:03 GMT) Full text and rfc822 format available.

Message #47 received at 548070@bugs.debian.org (full text, mbox):

From: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
To: Agustin Martin <agmartin@debian.org>
Cc: pkg-sdl-maintainers@lists.alioth.debian.org, 548070@bugs.debian.org, Alen Zekulic <alen@nms.hr>, Peter Pentchev <roam@ringlet.net>
Subject: Re: Info about PDCURSES, a X11/SDL curses package
Date: Sat, 21 Jul 2012 23:32:43 +0100
Hello Agustin, all,

2012/7/18 Agustin Martin <agmartin@debian.org>:
> I currently do not plan to become Debian main maintainer for this
> package, but my git repo may be useful to anyone interested. I could
> however help if needed.

I don't have major objections if somebody wants to take care of it,
but I am really not interested in this package.

If there's mainly this "the" editor only depending on it, which is not
terribly popular (popcon: 79 [1]) and can work in ncurses anyway; and
asciiportal, I am honestly not sure if it's worth the burden;
especially if the upstream project is not very active and if it has
its share of oddities compared to the main SDL modules (image, ttf,
mixer...).  I've been working with some other fringe SDL modules
lately, trying to bring them up to date before the release, and
they're not terribly fun to deal with -- in fact, sdl-stretch has
still to migrate, it wasn't ever enabled for non-i386 arches, not even
for amd64 with all of these years present, and nobody noticed :-(

Also, there are busy times ahead for SDL team, with the new Debian
stable release within sight and important changes such as multi-arch,
which can give us one or two headaches.  If SDL upstream finally
decides to release v2, there should be also quite a lot of changes and
duplication of packages for a while to take care of, and new software
exposing SDL2 to new bugs.  Any extra load will be detrimental to the
state of the main packages.  I don't know what the other people think
(Dominique, Felix-es, Sam, anybody else?), but I think that it would
be more wise to spend time e.g. trying to get SDL2 working.

However, if you or anybody else are really interested, perhaps that
person can maintain it as part of the SDL team, and we could give some
support from time to time.


Cheers.

[1] In principle I don't like to throw packages away just because of
low popcon, but I think that some of the packages are very
"under-tested", sometimes completely buggy with nobody
noticing/bothering to report.  I am interested in SDL especially
because of a couple of projects that I use, but I don't even have
installed more than half of our packages, so I already don't feel very
comfortable with having to maintain packages that I don't use.

-- 
Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Peter Pentchev <roam@ringlet.net>:
Bug#548070; Package wnpp. (Sat, 17 Aug 2013 07:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Peter Pentchev <roam@ringlet.net>. (Sat, 17 Aug 2013 07:09:10 GMT) Full text and rfc822 format available.

Message #52 received at 548070@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 548070@bugs.debian.org
Cc: control@bugs.debian.org
Subject: libxcurses: changing back from ITP to RFP
Date: Sat, 17 Aug 2013 09:06:10 +0200
retitle 548070 RFP: libxcurses -- X/Open curses library with an X11 and SDL interface
noowner 548070
tag 548070 - pending
thanks

Hi,

A long time ago, you expressed interest in packaging libxcurses. Unfortunately,
it seems that it did not happen. In Debian, we try not to keep ITP bugs open
for a too long time, as it might cause other prospective maintainers to
refrain from packaging the software.

This is an automatic email to change the status of libxcurses back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in packaging libxcurses, please send a mail to
<control@bugs.debian.org> with:

 retitle 548070 ITP: libxcurses -- X/Open curses library with an X11 and SDL interface
 owner 548070 !
 thanks

It is also a good idea to document your progress on this ITP from time to
time, by mailing <548070@bugs.debian.org>.  If you need guidance on how to
package this software, please reply to this email, and/or contact the
debian-mentors@lists.debian.org mailing list.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: libxcurses -- X/Open curses library with an X11 and SDL interface' from 'ITP: libxcurses -- X/Open curses library with an X11 and SDL interface' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 07:13:16 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Peter Pentchev <roam@ringlet.net>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 17 Aug 2013 07:13:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 19:54:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.